| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRenderStepFactory Struct Reference
[Renderloops & Rendersteps]

Interface to a render step factory. More...

`#include <iengine/rendersteps/irsfact.h>`

Inheritance diagram for iRenderStepFactory:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iRenderStep > | Create ()=0
| Create a new render step with the selected parameters.

## Detailed Description

Interface to a render step factory.

Definition at line 38 of file irsfact.h.

## Member Function Documentation

virtual csPtr<iRenderStep> iRenderStepFactory::Create | ( |  | ) | `[pure virtual]`

Create a new render step with the selected parameters.

The documentation for this struct was generated from the following file:

- iengine/rendersteps/irsfact.h